
use strict;
use warnings;

use Module::Build 0.3601;


my %module_build_args = (
  'build_requires' => {
    'Carp' => '0',
    'English' => '0',
    'File::Find' => '0',
    'File::Temp' => '0',
    'Module::Build' => '0.3601',
    'Scalar::Util' => '0',
    'Test::More' => '0.94'
  },
  'configure_requires' => {
    'Module::Build' => '0.3601'
  },
  'dist_abstract' => 'task to install dist-zilla and all its plugins',
  'dist_author' => [
    'Jerome Quelin'
  ],
  'dist_name' => 'Task-Dist-Zilla',
  'dist_version' => '1.102470',
  'license' => 'perl',
  'module_name' => 'Task::Dist::Zilla',
  'recommends' => {},
  'recursive_test_files' => 1,
  'requires' => {
    'Dist::Zilla' => '0',
    'Dist::Zilla::Plugin::ApacheTest' => '0',
    'Dist::Zilla::Plugin::ArchiveRelease' => '0',
    'Dist::Zilla::Plugin::AssertOS' => '0',
    'Dist::Zilla::Plugin::Author::KENTNL::DistINI' => '0',
    'Dist::Zilla::Plugin::AutoVersion::Relative' => '0',
    'Dist::Zilla::Plugin::Bootstrap::lib' => '0',
    'Dist::Zilla::Plugin::Bugtracker' => '0',
    'Dist::Zilla::Plugin::BumpVersionFromGit' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::AuthorTest' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::BeforeBuild' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::DotFileFix' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::FTPUploadToOwnSite' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::SubversionDist' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::VersionGetter' => '0',
    'Dist::Zilla::Plugin::Catalyst' => '0',
    'Dist::Zilla::Plugin::Catalyst::Helper' => '0',
    'Dist::Zilla::Plugin::Catalyst::New' => '0',
    'Dist::Zilla::Plugin::ChangelogFromGit' => '0',
    'Dist::Zilla::Plugin::CheckChangeLog' => '0',
    'Dist::Zilla::Plugin::CheckChangesHasContent' => '0',
    'Dist::Zilla::Plugin::CheckChangesTests' => '0',
    'Dist::Zilla::Plugin::CheckExtraTests' => '0',
    'Dist::Zilla::Plugin::CompileTests' => '0',
    'Dist::Zilla::Plugin::ConsistentVersionTest' => '0',
    'Dist::Zilla::Plugin::CopyReadmeFromBuild' => '0',
    'Dist::Zilla::Plugin::CopyTo' => '0',
    'Dist::Zilla::Plugin::CriticTests' => '0',
    'Dist::Zilla::Plugin::DistManifestTests' => '0',
    'Dist::Zilla::Plugin::DualBuilders' => '0',
    'Dist::Zilla::Plugin::DynamicManifest' => '0',
    'Dist::Zilla::Plugin::EOLTests' => '0',
    'Dist::Zilla::Plugin::FatPacker' => '0',
    'Dist::Zilla::Plugin::Git' => '0',
    'Dist::Zilla::Plugin::Git::Check' => '0',
    'Dist::Zilla::Plugin::Git::Commit' => '0',
    'Dist::Zilla::Plugin::Git::CommitBuild' => '0',
    'Dist::Zilla::Plugin::Git::Init' => '0',
    'Dist::Zilla::Plugin::Git::Push' => '0',
    'Dist::Zilla::Plugin::Git::Tag' => '0',
    'Dist::Zilla::Plugin::GitFmtChanges' => '0',
    'Dist::Zilla::Plugin::GitObtain' => '0',
    'Dist::Zilla::Plugin::GitVersionCheckCJM' => '0',
    'Dist::Zilla::Plugin::GithubMeta' => '0',
    'Dist::Zilla::Plugin::HasVersionTests' => '0',
    'Dist::Zilla::Plugin::Homepage' => '0',
    'Dist::Zilla::Plugin::InlineFilesMARCEL' => '0',
    'Dist::Zilla::Plugin::InstallGuide' => '0',
    'Dist::Zilla::Plugin::KwaliteeTests' => '0',
    'Dist::Zilla::Plugin::LatestPrereqs' => '0',
    'Dist::Zilla::Plugin::LocaleMsgfmt' => '0',
    'Dist::Zilla::Plugin::MakeMaker::Awesome' => '0',
    'Dist::Zilla::Plugin::MakeMaker::SkipInstall' => '0',
    'Dist::Zilla::Plugin::MatchManifest' => '0',
    'Dist::Zilla::Plugin::Mercurial' => '0',
    'Dist::Zilla::Plugin::Mercurial::Check' => '0',
    'Dist::Zilla::Plugin::Mercurial::Push' => '0',
    'Dist::Zilla::Plugin::Mercurial::Tag' => '0',
    'Dist::Zilla::Plugin::MetaData::BuiltWith' => '0',
    'Dist::Zilla::Plugin::MetaData::BuiltWith::All' => '0',
    'Dist::Zilla::Plugin::MetaNoIndex' => '0',
    'Dist::Zilla::Plugin::MetaProvides' => '0',
    'Dist::Zilla::Plugin::MetaProvides::Class' => '0',
    'Dist::Zilla::Plugin::MetaProvides::FromFile' => '0',
    'Dist::Zilla::Plugin::MetaProvides::Package' => '0',
    'Dist::Zilla::Plugin::MetaRecommends' => '0',
    'Dist::Zilla::Plugin::MinimumPerl' => '0',
    'Dist::Zilla::Plugin::MinimumVersionTests' => '0',
    'Dist::Zilla::Plugin::ModuleBuild::Custom' => '0',
    'Dist::Zilla::Plugin::ModuleBuild::XSOrPP' => '0',
    'Dist::Zilla::Plugin::ModuleInstall' => '0',
    'Dist::Zilla::Plugin::NoAutomatedTesting' => '0',
    'Dist::Zilla::Plugin::NoTabsTests' => '0',
    'Dist::Zilla::Plugin::OurPkgVersion' => '0',
    'Dist::Zilla::Plugin::PerlTidy' => '0',
    'Dist::Zilla::Plugin::PodLoom' => '0',
    'Dist::Zilla::Plugin::PodPurler' => '0',
    'Dist::Zilla::Plugin::PodSpellingTests' => '0',
    'Dist::Zilla::Plugin::PodWeaver' => '0',
    'Dist::Zilla::Plugin::PortabilityTests' => '0',
    'Dist::Zilla::Plugin::Prepender' => '0',
    'Dist::Zilla::Plugin::ProgCriticTests' => '0',
    'Dist::Zilla::Plugin::PurePerlTests' => '0',
    'Dist::Zilla::Plugin::ReadmeFromPod' => '0',
    'Dist::Zilla::Plugin::ReadmeMarkdownFromPod' => '0',
    'Dist::Zilla::Plugin::ReportVersions' => '0',
    'Dist::Zilla::Plugin::ReportVersions::Tiny' => '0',
    'Dist::Zilla::Plugin::Repository' => '0',
    'Dist::Zilla::Plugin::Rsync' => '0',
    'Dist::Zilla::Plugin::SVK' => '0',
    'Dist::Zilla::Plugin::SVK::Check' => '0',
    'Dist::Zilla::Plugin::SVK::Commit' => '0',
    'Dist::Zilla::Plugin::SVK::Push' => '0',
    'Dist::Zilla::Plugin::SVK::Tag' => '0',
    'Dist::Zilla::Plugin::Signature' => '0',
    'Dist::Zilla::Plugin::SubmittingPatches' => '0',
    'Dist::Zilla::Plugin::SurgicalPkgVersion' => '0',
    'Dist::Zilla::Plugin::SurgicalPodWeaver' => '0',
    'Dist::Zilla::Plugin::SvnObtain' => '0',
    'Dist::Zilla::Plugin::SynopsisTests' => '0',
    'Dist::Zilla::Plugin::TaskWeaver' => '0',
    'Dist::Zilla::Plugin::TemplateCJM' => '0',
    'Dist::Zilla::Plugin::TemplateFiles' => '0',
    'Dist::Zilla::Plugin::Twitter' => '0',
    'Dist::Zilla::Plugin::UnusedVarsTests' => '0',
    'Dist::Zilla::Plugin::UpdateGitHub' => '0',
    'Dist::Zilla::Plugin::VersionFromModule' => '0',
    'Dist::Zilla::Plugin::VersionFromPrev' => '0',
    'Dist::Zilla::Plugin::VersionFromPrev::Finder::Git::LastVersion' => '0',
    'Dist::Zilla::Plugin::VersionFromPrev::Style::Classic' => '0',
    'Dist::Zilla::PluginBundle::AVAR' => '0',
    'Dist::Zilla::PluginBundle::BINGOS' => '0',
    'Dist::Zilla::PluginBundle::CJM' => '0',
    'Dist::Zilla::PluginBundle::CSJEWELL' => '0',
    'Dist::Zilla::PluginBundle::FAYLAND' => '0',
    'Dist::Zilla::PluginBundle::Git' => '0',
    'Dist::Zilla::PluginBundle::IDOPEREL' => '0',
    'Dist::Zilla::PluginBundle::JQUELIN' => '0',
    'Dist::Zilla::PluginBundle::KENTNL' => '0',
    'Dist::Zilla::PluginBundle::KENTNL::Lite' => '0',
    'Dist::Zilla::PluginBundle::MARCEL' => '0',
    'Dist::Zilla::PluginBundle::Mercurial' => '0',
    'Dist::Zilla::PluginBundle::PDONELAN' => '0',
    'Dist::Zilla::PluginBundle::RJBS' => '0',
    'Dist::Zilla::PluginBundle::ROKR' => '0',
    'Dist::Zilla::PluginBundle::ROKR::Basic' => '0',
    'Dist::Zilla::PluginBundle::Rakudo' => '0',
    'Dist::Zilla::PluginBundle::SVK' => '0',
    'perl' => '5.008'
  },
  'script_files' => []
);


my $build = Module::Build->new(%module_build_args);

$build->create_build_script;
